package projectzombie.init;

import java.util.Random;

import projectzombie.Main;
import projectzombie.world.World;
import projectzombie.world.layer.Layer;
import projectzombie.world.layer.layergen.LayerGenBossArena;

public class Layers
{
	public static void init(long seed)
	{
		// Create all the layers
		EARTH = new Layer(new Random(seed), LayerGenerators.EARTH);
		CAVES = new Layer(new Random(seed), LayerGenerators.CAVES);
		LAVA_CAVES = new Layer(new Random(seed), LayerGenerators.LAVA_CAVES);
		
		// Create the world and set the earth as the default layer
		Main.world = new World();
		Main.world.addLayer(EARTH);
		Main.world.addLayer(CAVES);
		Main.world.addLayer(LAVA_CAVES);
		Main.world.setLayer(0);
	}
	
	public static Layer EARTH;
	public static Layer CAVES;
	public static Layer LAVA_CAVES;
}
